バージョンを取得する Tier 4
GET/api/versions/:idCopied!
単一のバージョンを返します。
リクエスト
パス
idstringrequired バージョン ID
レスポンス
200 OK を返します。
dataobject バージョン
data.idstring バージョン ID
Example: 8fe89e5a-1d8f-4302-8437-fb0390ecf8eb
data.namestring バージョン名
Example: v12
data.descriptionstring? バージョンの説明
Example: Final review cut
data.statusstring レビューステータス(下表参照)
Example: NEED_REVIEW
data.createdAtstring バージョン作成日時
Example: 2026-04-09 18:00:00.000000
data.updatedAtstring バージョン最終更新日時
Example: 2026-04-10 02:00:00.000000
data.projectobject 親プロジェクト
data.project.idstring 親プロジェクト ID
Example: bdbff5de-96d7-468f-9db0-85fe28bd6b62
例
bash
curl 'https://api.youvico.com/api/versions/8fe89e5a-1d8f-4302-8437-fb0390ecf8eb' \
-H 'Authorization: Bearer YOUR_API_KEY'json
{
"data": {
"id": "8fe89e5a-1d8f-4302-8437-fb0390ecf8eb",
"name": "v12",
"description": "Final review cut",
"status": "NEED_REVIEW",
"createdAt": "2026-04-09 18:00:00.000000",
"updatedAt": "2026-04-10 02:00:00.000000",
"project": {
"id": "bdbff5de-96d7-468f-9db0-85fe28bd6b62"
}
}
}status フィールドの値は以下のいずれかです:
| 値 | 説明 |
|---|---|
IN_PROGRESS | 作業中 |
NEED_REVIEW | レビュー待ち |
NEED_EDIT | レビュアーが修正を要求 |
ON_HOLD | 保留中 |
APPROVED | 承認済み |
REJECTED | 却下 |
CLOSED | クローズ済み |